edu.sc.seis.sod.validator.model

## Class Value

- java.lang.Object
- - edu.sc.seis.sod.validator.model.AbstractForm
  - - edu.sc.seis.sod.validator.model.Data
    - - edu.sc.seis.sod.validator.model.Value

- All Implemented Interfaces:
    Form, FormProvider

      public class Value
      extends Data

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Value(int min, int max, java.lang.String value)` creates a Value object with the default Token datatype
    `Value(int min, int max, java.lang.String value, ModelDatatype datatype)`
    `Value(int min, int max, java.lang.String value, ModelDatatype datatype, Form parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Tourist v)`
    `FormProvider` | `copyWithNewParent(Form newParent)`
    `java.lang.String` | `getValue()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class edu.sc.seis.sod.validator.model.Data

      `getDatatype`

    - ### Methods inherited from class edu.sc.seis.sod.validator.model.AbstractForm

      `copyGutsOver, deref, getAnnotation, getDef, getForm, getMax, getMin, getNamespace, getParent, getXPath, isAncestorOf, isAncestorOf, isFromDef, setAnnotation, setMax, setMin, setNamespace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Value

          public Value(int min,
                       int max,
                       java.lang.String value)

      creates a Value object with the default Token datatype

    - #### Value

          public Value(int min,
                       int max,
                       java.lang.String value,
                       ModelDatatype datatype)

    - #### Value

          public Value(int min,
                       int max,
                       java.lang.String value,
                       ModelDatatype datatype,
                       Form parent)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Data`

    - #### getValue

          public java.lang.String getValue()

    - #### copyWithNewParent

          public FormProvider copyWithNewParent(Form newParent)

      Specified by:
        `copyWithNewParent` in interface `FormProvider`
      Overrides:
        `copyWithNewParent` in class `Data`

    - #### accept

          public void accept(Tourist v)

      Specified by:
        `accept` in interface `Form`
      Overrides:
        `accept` in class `Data`